package com.njcn.pojo.advanced;

public class HarmonicRateInfo implements Comparable<HarmonicRateInfo> {
    private Integer lineid;
    private String gdName;
    private String bdName;
    private String pointName;
    private String voltage;
    private String ip;
    private Double harmonicRate;

    public Integer getLineid() {
        return lineid;
    }

    public void setLineid(Integer lineid) {
        this.lineid = lineid;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getBdName() {
        return bdName;
    }

    public void setBdName(String bdName) {
        this.bdName = bdName;
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public String getVoltage() {
        return voltage;
    }

    public void setVoltage(String voltage) {
        this.voltage = voltage;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Double getHarmonicRate() {
        return harmonicRate;
    }

    public void setHarmonicRate(Double harmonicRate) {
        this.harmonicRate = (double) Math.round(harmonicRate * 100) / 100;
    }

    @Override
    public int compareTo(HarmonicRateInfo obj) {
        return obj.getHarmonicRate().compareTo(this.getHarmonicRate());
    }
}
